/**
 * NOTE: This class is auto generated by the swagger code generator program (2.3.1).
 * https://github.com/swagger-api/swagger-codegen
 * Do not edit the class manually.
 */
package com.righttek.pet.application.contracts;

import com.righttek.pet.application.dto.ApiResponseMessage;
import com.righttek.pet.application.dto.ModelApiResponse;
import com.righttek.pet.application.dto.Pet;
import com.righttek.pet.application.dto.PetListResponseMessage;
import io.swagger.annotations.*;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import javax.validation.Valid;

@javax.annotation.Generated(value = "io.swagger.codegen.languages.SpringCodegen", date = "2018-08-09T13:30:09.023-05:00")

@Api(value = "pets", description = "the pets API")
public interface PetsApi {

    @ApiOperation(value = "Add a new pet to the store", nickname = "addPet", notes = "", response = ModelApiResponse.class, tags={ "pet", })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "successful operation", response = ModelApiResponse.class),
        @ApiResponse(code = 405, message = "Invalid input") })
    @RequestMapping(value = "/pets",
        produces = { "application/json" }, 
        consumes = { "application/json" },
        method = RequestMethod.POST)
    ResponseEntity<ApiResponseMessage> addPet(@ApiParam(value = "Pet object that needs to be added to the store" ,required=true )  @Valid @RequestBody Pet pet);


    @ApiOperation(value = "Find all pets", nickname = "petsGet", notes = "Returns all pets", response = PetListResponseMessage.class, tags={ "pet", })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "successful operation", response = PetListResponseMessage.class),
        @ApiResponse(code = 404, message = "Pet not found") })
    @RequestMapping(value = "/pets/",
        produces = { "application/json" }, 
        method = RequestMethod.GET)
    ResponseEntity<PetListResponseMessage> getPets();

}
